eoCountedDynUpdate(3)

NAME
eoCountedDynUpdate - An eoUpdater to update an eoUpdatable object every given tic.

SYNOPSIS

#include <eoUpdatable.h>

Inherits eoDynUpdater.

  Public Member Functions
eoCountedDynUpdate (eoUpdatable &_toUpdate, unsigned _interval)
void operator() (void)
The pure virtual function that needs to be implemented by the subclass.

  Private Attributes
const unsigned interval
unsigned counter

Detailed Description

An eoUpdater to update an eoUpdatable object every given tic.

Definition at line 93 of file eoUpdatable.h.

Author

Generated automatically by Doxygen for EO from the source code.